import { ResourceMeta } from "../core/resource-meta";
import { PropertyMeta } from "../core/property-meta";
/** @monorepo-internal */
export declare function getODataSelectIfExpandForDescription(resourceMeta: ResourceMeta, relatedResourcesMeta: ResourceMeta[]): string[];
/** @monorepo-internal */
export declare function isPropertyExpandForDescription(property: PropertyMeta): boolean;
export declare function getRelatedResourcesMetasIfExpandForDescription(resourceMeta: ResourceMeta): Promise<ResourceMeta[]>;
/** @internal */
export declare function createSelectsArray(baseProps?: string[], nestedProps?: {
    parent: string;
    children: string[];
}[], separator?: "/"): string[];
